### YamlMime:ManagedReference
items:
- uid: Voile.Rendering.RendererSettings
  commentId: T:Voile.Rendering.RendererSettings
  id: RendererSettings
  parent: Voile.Rendering
  children:
  - Voile.Rendering.RendererSettings.#ctor
  - Voile.Rendering.RendererSettings.Default
  - Voile.Rendering.RendererSettings.Fullscreen
  - Voile.Rendering.RendererSettings.Msaa
  - Voile.Rendering.RendererSettings.TargetFps
  - Voile.Rendering.RendererSettings.UseVSync
  - Voile.Rendering.RendererSettings.WindowSettings
  langs:
  - csharp
  - vb
  name: RendererSettings
  nameWithType: RendererSettings
  fullName: Voile.Rendering.RendererSettings
  type: Struct
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: RendererSettings
    path: Source/Rendering/RenderSystem.cs
    startLine: 201
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public struct RendererSettings
    content.vb: Public Structure RendererSettings
  inheritedMembers:
  - System.ValueType.Equals(System.Object)
  - System.ValueType.GetHashCode
  - System.ValueType.ToString
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetType
  - System.Object.ReferenceEquals(System.Object,System.Object)
- uid: Voile.Rendering.RendererSettings.Msaa
  commentId: F:Voile.Rendering.RendererSettings.Msaa
  id: Msaa
  parent: Voile.Rendering.RendererSettings
  langs:
  - csharp
  - vb
  name: Msaa
  nameWithType: RendererSettings.Msaa
  fullName: Voile.Rendering.RendererSettings.Msaa
  type: Field
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Msaa
    path: Source/Rendering/RenderSystem.cs
    startLine: 203
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public Msaa Msaa
    return:
      type: Voile.Rendering.Msaa
    content.vb: Public Msaa As Msaa
- uid: Voile.Rendering.RendererSettings.UseVSync
  commentId: F:Voile.Rendering.RendererSettings.UseVSync
  id: UseVSync
  parent: Voile.Rendering.RendererSettings
  langs:
  - csharp
  - vb
  name: UseVSync
  nameWithType: RendererSettings.UseVSync
  fullName: Voile.Rendering.RendererSettings.UseVSync
  type: Field
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: UseVSync
    path: Source/Rendering/RenderSystem.cs
    startLine: 204
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public bool UseVSync
    return:
      type: System.Boolean
    content.vb: Public UseVSync As Boolean
- uid: Voile.Rendering.RendererSettings.Fullscreen
  commentId: F:Voile.Rendering.RendererSettings.Fullscreen
  id: Fullscreen
  parent: Voile.Rendering.RendererSettings
  langs:
  - csharp
  - vb
  name: Fullscreen
  nameWithType: RendererSettings.Fullscreen
  fullName: Voile.Rendering.RendererSettings.Fullscreen
  type: Field
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Fullscreen
    path: Source/Rendering/RenderSystem.cs
    startLine: 205
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public bool Fullscreen
    return:
      type: System.Boolean
    content.vb: Public Fullscreen As Boolean
- uid: Voile.Rendering.RendererSettings.TargetFps
  commentId: F:Voile.Rendering.RendererSettings.TargetFps
  id: TargetFps
  parent: Voile.Rendering.RendererSettings
  langs:
  - csharp
  - vb
  name: TargetFps
  nameWithType: RendererSettings.TargetFps
  fullName: Voile.Rendering.RendererSettings.TargetFps
  type: Field
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: TargetFps
    path: Source/Rendering/RenderSystem.cs
    startLine: 206
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public int TargetFps
    return:
      type: System.Int32
    content.vb: Public TargetFps As Integer
- uid: Voile.Rendering.RendererSettings.WindowSettings
  commentId: F:Voile.Rendering.RendererSettings.WindowSettings
  id: WindowSettings
  parent: Voile.Rendering.RendererSettings
  langs:
  - csharp
  - vb
  name: WindowSettings
  nameWithType: RendererSettings.WindowSettings
  fullName: Voile.Rendering.RendererSettings.WindowSettings
  type: Field
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: WindowSettings
    path: Source/Rendering/RenderSystem.cs
    startLine: 208
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public WindowSettings WindowSettings
    return:
      type: Voile.Rendering.WindowSettings
    content.vb: Public WindowSettings As WindowSettings
- uid: Voile.Rendering.RendererSettings.#ctor
  commentId: M:Voile.Rendering.RendererSettings.#ctor
  id: '#ctor'
  parent: Voile.Rendering.RendererSettings
  langs:
  - csharp
  - vb
  name: RendererSettings()
  nameWithType: RendererSettings.RendererSettings()
  fullName: Voile.Rendering.RendererSettings.RendererSettings()
  type: Constructor
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/Rendering/RenderSystem.cs
    startLine: 210
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public RendererSettings()
    content.vb: Public Sub New()
  overload: Voile.Rendering.RendererSettings.#ctor*
  nameWithType.vb: RendererSettings.New()
  fullName.vb: Voile.Rendering.RendererSettings.New()
  name.vb: New()
- uid: Voile.Rendering.RendererSettings.Default
  commentId: P:Voile.Rendering.RendererSettings.Default
  id: Default
  parent: Voile.Rendering.RendererSettings
  langs:
  - csharp
  - vb
  name: Default
  nameWithType: RendererSettings.Default
  fullName: Voile.Rendering.RendererSettings.Default
  type: Property
  source:
    remote:
      path: Voile/Source/Rendering/RenderSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Default
    path: Source/Rendering/RenderSystem.cs
    startLine: 212
  assemblies:
  - Voile
  namespace: Voile.Rendering
  syntax:
    content: public static RendererSettings Default { get; }
    parameters: []
    return:
      type: Voile.Rendering.RendererSettings
    content.vb: Public Shared ReadOnly Property [Default] As RendererSettings
  overload: Voile.Rendering.RendererSettings.Default*
references:
- uid: Voile.Rendering
  commentId: N:Voile.Rendering
  href: Voile.html
  name: Voile.Rendering
  nameWithType: Voile.Rendering
  fullName: Voile.Rendering
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Rendering
    name: Rendering
    href: Voile.Rendering.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Rendering
    name: Rendering
    href: Voile.Rendering.html
- uid: System.ValueType.Equals(System.Object)
  commentId: M:System.ValueType.Equals(System.Object)
  parent: System.ValueType
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.valuetype.equals
  name: Equals(object)
  nameWithType: ValueType.Equals(object)
  fullName: System.ValueType.Equals(object)
  nameWithType.vb: ValueType.Equals(Object)
  fullName.vb: System.ValueType.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.ValueType.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.equals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.ValueType.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.equals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.ValueType.GetHashCode
  commentId: M:System.ValueType.GetHashCode
  parent: System.ValueType
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.valuetype.gethashcode
  name: GetHashCode()
  nameWithType: ValueType.GetHashCode()
  fullName: System.ValueType.GetHashCode()
  spec.csharp:
  - uid: System.ValueType.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.ValueType.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.gethashcode
  - name: (
  - name: )
- uid: System.ValueType.ToString
  commentId: M:System.ValueType.ToString
  parent: System.ValueType
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.valuetype.tostring
  name: ToString()
  nameWithType: ValueType.ToString()
  fullName: System.ValueType.ToString()
  spec.csharp:
  - uid: System.ValueType.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.ValueType.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.valuetype.tostring
  - name: (
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.ValueType
  commentId: T:System.ValueType
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.valuetype
  name: ValueType
  nameWithType: ValueType
  fullName: System.ValueType
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.Rendering.Msaa
  commentId: T:Voile.Rendering.Msaa
  parent: Voile.Rendering
  href: Voile.Rendering.Msaa.html
  name: Msaa
  nameWithType: Msaa
  fullName: Voile.Rendering.Msaa
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: System.Int32
  commentId: T:System.Int32
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int
  nameWithType: int
  fullName: int
  nameWithType.vb: Integer
  fullName.vb: Integer
  name.vb: Integer
- uid: Voile.Rendering.WindowSettings
  commentId: T:Voile.Rendering.WindowSettings
  parent: Voile.Rendering
  href: Voile.Rendering.WindowSettings.html
  name: WindowSettings
  nameWithType: WindowSettings
  fullName: Voile.Rendering.WindowSettings
- uid: Voile.Rendering.RendererSettings.#ctor*
  commentId: Overload:Voile.Rendering.RendererSettings.#ctor
  href: Voile.Rendering.RendererSettings.html#Voile_Rendering_RendererSettings__ctor
  name: RendererSettings
  nameWithType: RendererSettings.RendererSettings
  fullName: Voile.Rendering.RendererSettings.RendererSettings
  nameWithType.vb: RendererSettings.New
  fullName.vb: Voile.Rendering.RendererSettings.New
  name.vb: New
- uid: Voile.Rendering.RendererSettings.Default*
  commentId: Overload:Voile.Rendering.RendererSettings.Default
  href: Voile.Rendering.RendererSettings.html#Voile_Rendering_RendererSettings_Default
  name: Default
  nameWithType: RendererSettings.Default
  fullName: Voile.Rendering.RendererSettings.Default
- uid: Voile.Rendering.RendererSettings
  commentId: T:Voile.Rendering.RendererSettings
  parent: Voile.Rendering
  href: Voile.Rendering.RendererSettings.html
  name: RendererSettings
  nameWithType: RendererSettings
  fullName: Voile.Rendering.RendererSettings
